Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056058 - [RFE] expose cinder-volumes VG backed by an iSCSI target (which was created manually)
Summary: [RFE] expose cinder-volumes VG backed by an iSCSI target (which was created m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: z2
: 4.0
Assignee: Jason Guiditta
QA Contact: Tzach Shefi
URL:
Whiteboard: storage
Depends On: 1047653
Blocks: 1040649 1056055 1064889
TreeView+ depends on / blocked
 
Reported: 2014-01-21 13:38 UTC by Jiri Stransky
Modified: 2014-03-04 20:14 UTC (History)
14 users (show)

Fixed In Version: openstack-foreman-installer-1.0.4-1.el6ost
Doc Type: Enhancement
Doc Text:
The default behavior most customers expect for small to medium installations is to run cinder-volume on the controller node. Packstack does this but a Foreman deployment only allows a dedicated storage backend backed by iSCSI or Red Hat Storage. With this update, you can deploy cinder-volume on the Compute or OpenStack Networking controller node, if cinder_backend_iscsi is set to false. It will detect a volume group named cinder-volumes (backed by an iSCSI target) and share it via the target deamon (tgtd). You must manually create the volume group, which is also the case with the cinder_backend_iscsi parameter for the LVM backend storage group.
Clone Of: 1047653
Environment:
Last Closed: 2014-03-04 20:14:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0213 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform 4 Bug Fix and Enhancement Advisory 2014-03-05 01:11:55 UTC

Comment 2 jliberma@redhat.com 2014-02-06 21:45:39 UTC
Submitted pull request https://github.com/redhat-openstack/astapor/pull/117

Log:

BZ #1056055 --  [RFE] create cinder-volumes VG backed by a loopback file
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1056055
    
    The default behavior most customers expect for small to medium installations
    is to run cinder-volume on the controller node. Packstack does this but
    Foreman only allows a dedicated storage backend backed by iSCSI or RHS.
    This patch deploys cinder-volume on the Nova or Neutron controller node if
    cinder_backend_{iscsi,gluster} are both set to false. It will detect a VG
    named cinder-volumes (whether backed by an iSCSI target or loopback device)
    and share it via tgtd. The user must create the VG, which is also the case
    with the cinder_backend_iscsi parameter for the LVM backend storage group. In
    a sense this patch replicates functionality customers expect from packstack.
    I tested it against the RHEL OSP 01.31.2014-1 puddle for both iSCSI and LVM
    bakced Cinder from the controller node.

This patch allows iSCSI or a loopback device on the controller to be exported via tgtd. So it addresses both this bug (1056058) as well as 1056055.

Comment 4 Tzach Shefi 2014-02-23 13:21:41 UTC
Verified, 

Provisioned two hosts A B, 
On host B, created disk with DD, iscsi server (target) exported lun. 
Installed iscsi client on same host connected to lun, dev/sdc. 
Created VG "cinder-volumes" on dev/sdc

Using Foreman deployed host A as controller (Nova), host B as LVM Block Storage. 
On LVM Block storage group parameters, enabled cinder_backend_iscsi = true.  

After running Foreman's puppet agent on both hosts. 
Created volume via UI and CLI, both created successfully. 
Checked LVS, new cinder volumes created under VG cinder-volumes.
Checked lsblk new cinder volumes shown under dev/sdc  (iscsi mapped disk)

Comment 6 errata-xmlrpc 2014-03-04 20:14:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0213.html


Note You need to log in before you can comment on or make changes to this bug.